
Family Care - Bug #2346

Update File - submissions form

12/23/2020 03:32 PM - Saja Nakhleh

Status: Closed Start date: 12/22/2020

Priority: High Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

a. the field (الوحدة الفرعية) is NOT

exist in the update file and exist in the

Open file evidence 33a.gif

b. the field (تاريخ تغيير حالة السكن)

is exist in the update file and NOT exist in

the Open file evidence 33b.gif

c. 

>>the action (add) is enabled in the

update file and disabled on the Open file,

although both forms are created for (ربات

! status (بيوت

>>Action (delete) is available for each

record in the table in Update file and is

global for all the table on the Open file

form

Observe evidence 33c.gif

Issue #2:

All the attachments will be lost once the

file is browsed to be updated ! evidence

34.gif

Issue #3:

all the fields' values are missed as on the

evidence 35.gif

Severity: Normal Environment: QA

Category: Update file Transaction Number:  

Sub-Category:  Username: USR00012/12345678

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: Issue #1:

a. the field (الوحدة الفرعية) should be

exist on the Open file and Update file

Forms

b. the field (تاريخ تغيير حالة السكن)

should be exist on the Open file and

Update file Forms

c. the actions (Add) and (Delete) should

act and their positions be identical in both

of Open file and Update file Forms

Issue #2:

the attached files before, should be

preserved and previewed on the

attachments tab successfully

Issue #3:

Test Case ID:  
All the fields should retrieve the data

successfully

Description

Issue #1:

1. Open the file with Civil ID (#265091900285) from update file service.

2. Observe the following differences between the (update file form) and (Open file form)

a.(بيانات العنوان) tab, (الوحدة الفرعية) field

b.(بيانات الحالة) tab, (تاريخ تغيير حالة السكن) field,

c.(بيانات الحالة) tab, (add) and (delete) actions

Issue #2:

1. From the opened file in issue #1, open the attachment tab

2. Observe the attached files in the (attachments) tab

Issue #3:

1. Open the file with Civil ID (#301011001331/2144886003) from update file service.

2. Observe the fields' values in the (بيانات العنوان) tab

Enhancement notes:

1. the files selection should be inside the service not outside it !

at least the files could be selected after select the service.

History

#1 - 12/27/2020 10:36 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Saja Nakhleh

Issue #1:

all the differences between the two screens is according to the business requirements

a. in the update file the subunit is the same one in the screen and the main unit in the open file is only for filtration.

b. this date is optional and used in case the user has changed the accommodation type to be used later in case its entered.

c. in the open file since there is no members added then the delete is not visible but in update since the member is there the delete will be to the

selected member.

Issue #2:

the attachments is connected to the transaction number and since we didnt save the number until the submit so when ever the user change the

transaction all the data is removed.

Issue #3:

in the deceased case the address data will not be retrieved unless the data was already stored in the database.

#2 - 01/07/2021 10:09 AM - Saja Nakhleh

- File 36.png added

- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Mohannad Sabra

Issue #1:

a. verified.

b. verified.

c. enable/disable issue is verified, but the positioning issue need design review

Issue #2:
could the attachments be connected to more stable primary key ? (i.e: Civil ID)

as the update action should preserve the old data to be edited if needed (as add action or delete action)

Issue #3:

verified as invalid issue

New Issue ـ issue #4:

1. from (بيانات الحالة), select ايقاف

2. from ( researcher decision) select the first option (و ذلك بسبب * ايقاف من تاريخ *)

3. Observe the options in the drop down list

result:

the options have some spelling mistakes as shown on the attached evidence 36.png

Note: the same issue is occurred on the (المشرف) step

Issue #5:

1. Open the file of the ID: 265091900285

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. Observe the occurred Exception message as on the recorded video:

https://www.loom.com/share/787274b106a24eb594ff6f1efcd0eef6

Issue #6:

1. 1. Open the file of the ID: 265120100464/2121013005

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. Observe the mandatory fields

results:

1.the fields (وصف الحالة الاجتماعية) (الى تاريخ) (تاريخ الايقاف) (سبب استمرار ايقاف ) are mandatory but not marked with red star

evidence 37.gif , متوفى :should contain the option وصف الحالة الاجتماعية .2

Issue #7:

once the serial number is not submitted then the submission form will not validate it and the file will not appear after submission

scenario and results are recoded in the following video:

https://www.loom.com/share/25fc4e5ba865408784950908718510b7

Issue #8:

the update reason should be entered from 1 place, the current behaviour the update reason will be entered twice by the researcher:

from the (اجراءات الملف) tab and رأي الباحث tab. evidence 77.gif

Issue #9:

1. 1. Open the file of the ID: 301011001331

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. NAvigate to the (بيانات الحالة) tab

result:

an exception will be occurred as on the following vedio and evidence 78.jpeg

https://www.loom.com/share/f304dfaf55204a41aabb217213deef4a

Issue #10:

1. Open the file of the ID: 290042800055/2086832108

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. Navigate to the (اجراءات الملف) tab and select stop

result: Null exception will be occurred as on evidence 89.gif

Issue #11:

1. Open the file of the ID: 290042800055/2086832108

2. select update file service

3. enter the serial number and fill all the mandatory fields

4. navigate to the (researcher decision) tab and select the option(و سبب  إلى  مع استرجاع ما صرف عن الفترة من * استمرار الملف إلى تاريخ

(.** و سبب الاستحقاق  إلى  مع صرف مستحق عن الفترة من  الاسترجاع

results: the dates should be validated, hence the end dates should be after the starts dates. evidence 90.gif
#3 - 01/12/2021 12:45 PM - Saja Nakhleh

- File 37.gif added

#4 - 02/28/2021 04:10 PM - Mohannad Sabra

- Status changed from Feedback to Open

- Assignee changed from Mohannad Sabra to Musab Khuraisat

- Priority changed from Normal to High

Dear Musab,

Kindly check the last bug in the last message in the thread as below:

New Issue ـ issue #4:

1. from (بيانات الحالة), select ايقاف

2. from ( researcher decision) select the first option (ايقاف من تاريخ * و ذلك بسبب *)

3. Observe the options in the drop down list

result:

the options have some spelling mistakes as shown on the attached evidence 36.png

Note: the same issue is occurred on the (المشرف) step

Issue #5:

1. Open the file of the ID: 265091900285

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. Observe the occurred Exception message as on the recorded video:

https://www.loom.com/share/787274b106a24eb594ff6f1efcd0eef6

Issue #6:

1. 1. Open the file of the ID: 301011001331

2. select update file service

3. enter the serial number and click (تحقق الافراد مع بيانات الربط )

4. Observe the mandatory fields

results:

1.the fields (وصف الحالة الاجتماعية) (الى تاريخ) (تاريخ الايقاف) (سبب استمرار ايقاف ) are mandatory but not marked with red star

evidence 37.gif , متوفى :should contain the option وصف الحالة الاجتماعية .2

Issue #7:

once the serial number is not submitted then the submission form will not validate it and the file will not appear after submission

scenario and results are recoded in the following video:

https://www.loom.com/share/25fc4e5ba865408784950908718510b7
#5 - 03/23/2021 11:57 AM - Saja Nakhleh

- File 77.gif added

#6 - 03/23/2021 12:14 PM - Saja Nakhleh

- File 78.JPG added

#7 - 04/12/2021 01:57 PM - Saja Nakhleh

- File 89.GIF added

#8 - 04/12/2021 02:43 PM - Saja Nakhleh

- File 90.GIF added

#9 - 05/02/2021 11:03 AM - Musab Khuraisat

Done.

#10 - 05/02/2021 11:03 AM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#11 - 05/09/2021 07:06 AM - Saja Nakhleh

- File 103.gif added

- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #2:

Verified as technical limitation on the attachments module

Issue #4:

tested and verified.

Issue #5:

tested and verified.

Issue #6:

a. tested and verified.

b. Still duplicated . observe evidence 103.gif

Issue #7:

Still duplicated.

https://www.loom.com/share/25fc4e5ba865408784950908718510b7

Issue #8:

still duplicated, the searcher opinion should be compared with the selected values on the (اجراءات الملف) tab and be the same values.

observe attachment 77.gif

Issue #9:

tested and verified for another deceased case : 298110900899/2011931611

Issue #10:

tested and verified.

Issue #11:

still duplicated.
#12 - 06/10/2021 01:29 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Done.

#13 - 07/07/2021 03:58 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #6:

b. verified as died user social status will not retrieved from the same table

Issue #7:

tested and verified.

Issue #8:

tested and verified.

Issue #11:

tested and verified.

New issue #12:

1. open a stopped file (i.e: 299040701134) and select (رفع ايقاف) from اجراءات الملف

2. fill all the mandatory fields and click submit

result: the field value will not be detected ! the scenario and the results are on this vedio:

loom.com/share/780edc71c89443baa21128beaa6868b6

#14 - 07/12/2021 04:51 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

issue #12: (Fixed)

#15 - 07/14/2021 12:14 PM - Saja Nakhleh

- File 120.GIF added

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #12:

tested and vereified.

New issue - Issue #13:

1. select the file (303071200294/2122594502)

2. Open the (update file task)

3. Observe the occurred error messages

results: the non informative messages are occurred in all cases. observe evidence 120.gif
#16 - 07/14/2021 03:33 PM - Musab Khuraisat

Issue #12: fixed

#17 - 07/14/2021 03:33 PM - Musab Khuraisat

Issue #12:fixed

#18 - 07/14/2021 03:34 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

Issue #12:fixed

#19 - 07/14/2021 09:41 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #13:

tested and verified.

Files

33a.GIF 215 KB 12/23/2020 Saja Nakhleh

33b.GIF 274 KB 12/23/2020 Saja Nakhleh

33c.GIF 279 KB 12/23/2020 Saja Nakhleh

34.GIF 421 KB 12/23/2020 Saja Nakhleh

35.GIF 219 KB 12/23/2020 Saja Nakhleh

36.png 162 KB 01/07/2021 Saja Nakhleh

37.gif 275 KB 01/12/2021 Saja Nakhleh

77.gif 52.7 KB 03/23/2021 Saja Nakhleh

78.JPG 93.7 KB 03/23/2021 Saja Nakhleh

89.GIF 239 KB 04/12/2021 Saja Nakhleh

90.GIF 231 KB 04/12/2021 Saja Nakhleh

103.gif 348 KB 05/09/2021 Saja Nakhleh

120.GIF 40.6 KB 07/14/2021 Saja Nakhleh
